Bug 79537 - New port: sysutils/heartbeat
New port: sysutils/heartbeat
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: flz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-04 20:50 UTC by scott-ports
Modified: 2005-04-06 08:39 UTC (History)
0 users

See Also:


Attachments
heartbeat-1.2.3.shar (16.18 KB, text/plain)
2005-04-04 20:50 UTC, scott-ports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description scott-ports 2005-04-04 20:50:06 UTC
heartbeat is a basic high-availability subsystem.  It will run
scripts at initialization, and when machines go up or down.  This
version will also perform IP address takeover using gratuitous ARPs.

It implements the following kinds of heartbeats:
        - Bidirectional Serial Rings ("raw" serial ports)
        - UDP/IP broadcast (ethernet, etc)
        - Unicast heartbeats
        - "ping" heartbeats (for routers, switches, etc.)
           (to be used for breaking ties in 2-node systems)
Comment 1 flz freebsd_committer 2005-04-04 23:09:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Yummy ! I take this one !
Comment 2 flz freebsd_committer 2005-04-05 12:50:17 UTC
State Changed
From-To: open->feedback

I've reworked the port, here my version, tell me if it still work. 

http://www.xbsd.org/~flz/ports/heartbeat.shar
Comment 3 flz freebsd_committer 2005-04-06 08:36:26 UTC
State Changed
From-To: feedback->closed

New port added, thank you !